
Figure - Bug #118478
【IOVDEV-32448】【内部】【VC1】【0072】【台架】【EE环境】【副屏】打开抖音后上滑收起-再打开变为
重启抖音
2023-06-03 10:49 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-06-02

Priority: Normal Due date:

Assignee: 物联网项目组-RD3_CDTS 周飞 % Done: 0%

Category: 窗口定制 Estimated time: 0.00 hour

Target version:

Need_Info: TEST Found Version: 副屏：01.00.0100.C103

Resolution: Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: 跟#117875

Description

【环境信息】EE环境

【问题出现时间】：2023-06-02 16:15

【开机次数】：第236次

【前提条件】：

1.副屏上电

2.下载并安装抖音

3.处于HOME页

【问题操作步骤】：

1.打开抖音-滑动观看视频-点开评论区

2.底部上滑返回HOME页-收起抖音

3.打开抖音

【实际结果】：抖音重启，视频为最新刷新的

【期望结果】：保持显示收起前的视频及操作页面

【备注】：收起再打开不应该为重启，未杀掉进程操作。若用户切出抖音后再打开抖音观看刚看的视频变为重启无记忆对用户来说体验

很不好

台架实时Log地址：https://ofs.human-horizons.com/#/download/index/njcDFNHiqJ4%3D

台架历史Log地址：https://ofs.human-horizons.com/#/download/index/PGGElo0iV%2Bs%3D

台架视频地址：https://ofs.human-horizons.com/#/download/index/94hSa6GW8B0%3D

【影响版本】：副屏：01.00.0100.C103

【VIN】：HRYTTESTVINMGM400

【硬件版本号】：/

【是否能恢复】：

History

#1 - 2023-06-03 10:51 - CDTS_Test 吴诗雨

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_118478

#2 - 2023-06-05 14:38 - CD FW-鲁凯峰
https://ofs.human-horizons.com/#/download/index/njcDFNHiqJ4%3D
https://ofs.human-horizons.com/#/download/index/PGGElo0iV%2Bs%3D
https://ofs.human-horizons.com/#/download/index/94hSa6GW8B0%3D
ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_118478


- Status changed from New to RESOLVED

- Assignee changed from CD FW-鲁凯峰 to CDTS_Test 吴诗雨

- Resolution changed from -- to FIXED

- Root cause set to 跟#117875

跟#117875一样,目前上滑到桌面后,抖音不会消失,在次点击抖音还是会显示之前的画面

#3 - 2023-06-07 20:45 - CDTS_Test 吴诗雨

- Status changed from RESOLVED to ASSIGNED

- Assignee changed from CDTS_Test 吴诗雨 to CD FW-鲁凯峰

【回归是否成功】：失败

【回归时间】:6月2日 16:15

【回归版本】:01.00.0106.C104

【回归环境】：HRYTTESTVINMGM400

【回归手顺】：1.打开抖音-滑动观看视频-点开评论区

2.底部上滑返回HOME页-收起抖音

3.打开抖音

【回归结果】：抖音重启，视频为最新刷新的

【回归日志】：

台架实时Log地址：https://ofs.human-horizons.com/#/download/index/njcDFNHiqJ4%3D

台架历史Log地址：https://ofs.human-horizons.com/#/download/index/PGGElo0iV%2Bs%3D

台架视频地址：https://ofs.human-horizons.com/#/download/index/94hSa6GW8B0%3D

#4 - 2023-06-07 20:48 - CDTS_Test 吴诗雨

新日志已上传：ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_118478/0602

#5 - 2023-06-08 10:32 - CD FW-鲁凯峰

- File 123.jpg added

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD FW-鲁凯峰 to CDTS_Test 吴诗雨

- Need_Info changed from -- to TEST

- Resolution deleted (FIXED)

从给的最新的视频看,是在桌面打开小窗,然后快速上滑的.

这个有需求是说在桌面快速上滑要关闭小窗的,所以再次点击小窗应用时会重新启动

请参考下面的票

https://share.thundersoft.com/redmine/issues/113496

#6 - 2023-06-09 19:52 - CDTS_Test 吴诗雨

已同步
#7 - 2023-07-04 16:00 - CDTS_TEST 王成

- Status changed from NEED_INFO to RESOLVED

- Assignee changed from CDTS_Test 吴诗雨 to 物联网项目组-RD3_CDTS 周飞

目前小窗应用没有操作记忆的退出方式，返回上一级手势退出应用、底部上滑返回home页手势、点击小窗右上角的关闭按钮，三个退出应用的操作再次

点击后都无记忆操作模式，均为杀死小窗进程。

用户想再次打开查看刚刚的应用操作页面，目前无法实现记忆操作页面，请确认退出即杀死小窗应用该逻辑是否合理

客户回复：

IOVOS3-11710 已建story，当前问题建议关闭

当前现象：

打开应用小窗，从屏幕底部向上滑动会返回HOME页面，小窗应用被关闭

存在问题：

1. 向上划动手势仅为返回桌面的逻辑，小窗应用和全屏应用应该同时进入后台，无需关闭

2. 目前没有将小窗应用收至后台的交互方式，点击关闭、屏幕底部上划均为关闭小窗应用

优化方向：

从屏幕底部上划后返回桌面，小窗应用保留后台进程

#8 - 2023-07-04 16:00 - CDTS_TEST 王成

- Status changed from RESOLVED to VERIFIED

#9 - 2023-07-04 16:00 - CDTS_TEST 王成

- Status changed from VERIFIED to CLOSED

Files

123.jpg 121 KB 2023-06-08 CD FW-鲁凯峰
